package com.mortals.xhx.busiz.message;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 流程通知消息
 *
 * @author: zxfei
 * @date: 2021/9/9 10:43
 * @description:
 **/
@Data
public class FlowMessageReq {

    /**
     * 业务平台标识
     */
    private String platformSn;

    /**
     * 消息类型
     */
    private Integer type;

    /**
     * 流程状态
     */
    private String processStatus;

    /**
     * 业务系统key
     */
    private String businessKey;

    /**
     * 流程实例id
     */
    private String processInstanceId;

    /**
     * 任务编号
     */
    private String taskId;

    /**
     * 消息内容
     */
    private String content;
}
