package com.mortals.xhx.busiz.question;

import com.mortals.xhx.busiz.BaseReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 问答问题答案
 *
 * @author: zxfei
 * @date: 2021/9/6 9:26
 */
@Data
@ApiModel(value = "QuestionReq", description = "回答问题请求参数")
public class AnswerReq extends BaseReq implements Serializable {
    /**
     * 问答最后答案选项ID（多问题线）
     */
    @ApiModelProperty(value = "问答最后最后选项ids")
    private List<Long> optionIds;

    /**
     * 问题路线id?
     */
    @ApiModelProperty(value = "问题路线id")
    private String key;
    

}
