package com.mortals.xhx.busiz.question;

import lombok.Data;

import java.util.List;

/**
 * 问题结果
 * @author: zxfei
 * @date: 2021/9/6 13:58
 * @description:
 **/
@Data
public class QuestionInfo {

    /**
     * 事项列表列表
     */
    private List<MatterInfo> matterInfoList;

    /**
     * 受理条件列表
     */
    private List<AcceptInfo> acceptInfoList;
    /**
     * 办理流程列表
     */
    private List<FlowLimitInfo> flowLimitInfoList;

    /**
     * 事项材料列表
     */
    private List<DatumInfo> datumInfoList;


    /**
     * 常见问题列表
     */
    private List<QAndAInfo> qAndAInfoList;


}
