package com.mortals.xhx.busiz.uploadfile;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 办理事项提交
 *
 * @author: zxfei
 * @date: 2021/9/6 9:26
 */
@Data
@ApiModel(value = "MatterReq", description = "事项提交参数")
public class MatterReq  implements Serializable {

    /**
     * 事项ID
     */
    @ApiModelProperty(value = "事项ID")
    private Long matterid;


    /**
     * 申请材料列表
     *
     */
    @ApiModelProperty(value = "申请材料附件列表")
    private List<UploadFileInfo> attachmentList;

}
