package com.mortals.xhx.module.matter.web;

import com.mortals.framework.model.Context;
import com.mortals.xhx.common.code.MatterSourceEnum;
import com.mortals.xhx.common.code.YesNoEnum;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matter.model.MatterAcceptEntity;
import com.mortals.xhx.module.matter.service.MatterAcceptService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;


/**
* <p>Title: 事项受理条件</p>
* <p>Description: MatterAcceptController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("matter/accept")
public class MatterAcceptController extends BaseCRUDJsonMappingController<MatterAcceptService,MatterAcceptForm,MatterAcceptEntity,Long> {

    public MatterAcceptController(){
        super.setFormClass(MatterAcceptForm.class);
        super.setModuleDesc("事项受理条件");
    }


    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, MatterAcceptForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
        this.addDict(model, "source", MatterSourceEnum.getEnumMap());
    }
}