package com.mortals.xhx.module.matter.web;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matter.model.MatterBaseinfoEntity;
import com.mortals.xhx.module.matter.service.MatterBaseinfoService;


/**
* <p>Title: 事项基本信息表</p>
* <p>Description: MatterBaseinfoController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("matter/baseinfo")
public class MatterBaseinfoController extends BaseCRUDJsonMappingController<MatterBaseinfoService,MatterBaseinfoForm,MatterBaseinfoEntity,Long> {

    public MatterBaseinfoController(){
        super.setFormClass(MatterBaseinfoForm.class);
        super.setModuleDesc("事项基本信息表");
    }

}