package com.mortals.xhx.module.matter.web;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matter.model.MatterDatumFileEntity;
import com.mortals.xhx.module.matter.service.MatterDatumFileService;


/**
* <p>Title: 材料附件表</p>
* <p>Description: MatterDatumFileController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("matter/datum/file")
public class MatterDatumFileController extends BaseCRUDJsonMappingController<MatterDatumFileService,MatterDatumFileForm,MatterDatumFileEntity,Long> {

    public MatterDatumFileController(){
        super.setFormClass(MatterDatumFileForm.class);
        super.setModuleDesc("材料附件表");
    }

}