package com.mortals.xhx.module.matter.web;

import com.mortals.framework.model.Context;
import com.mortals.xhx.common.code.MatterSourceEnum;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matter.model.MatterFlowlimitEntity;
import com.mortals.xhx.module.matter.service.MatterFlowlimitService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;


/**
* <p>Title: 事项办理流程</p>
* <p>Description: MatterFlowlimitController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("matter/flowlimit")
public class MatterFlowlimitController extends BaseCRUDJsonMappingController<MatterFlowlimitService,MatterFlowlimitForm,MatterFlowlimitEntity,Long> {

    public MatterFlowlimitController(){
        super.setFormClass(MatterFlowlimitForm.class);
        super.setModuleDesc("事项办理流程");
    }


    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, MatterFlowlimitForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
        this.addDict(model, "source", MatterSourceEnum.getEnumMap());
    }
}