package com.mortals.xhx.module.matters.web;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matters.model.MattersDetailEntity;
import com.mortals.xhx.module.matters.service.MattersDetailService;


/**
* <p>Title: 事项详情表</p>
* <p>Description: MattersDetailController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("matters/detail")
public class MattersDetailController extends BaseCRUDJsonMappingController<MattersDetailService,MattersDetailForm,MattersDetailEntity,Long> {

    public MattersDetailController(){
        super.setFormClass(MattersDetailForm.class);
        super.setModuleDesc("事项详情表");
    }

}