package com.mortals.xhx.module.task.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.common.pdu.flow.FlowTaskPdu;
import com.mortals.xhx.module.task.model.TaskFinishEntity;
import com.mortals.xhx.module.task.model.TaskFinishQuery;
import com.mortals.xhx.module.task.model.TaskTodoQuery;

/**
* <p>Title: 工作已办表</p>
* <p>Description: TaskFinishService service接口 </p>
* <p>Copyright: Copyright &reg;  </p>
* @version 1.0.0
*/

public interface TaskFinishService extends ICRUDService<TaskFinishEntity,Long>{

    Result<FlowTaskPdu> finishList(TaskFinishQuery query, PageInfo pageInfo, Context context);


}