package com.mortals.xhx.module.task.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.common.pdu.flow.FlowTaskPdu;
import com.mortals.xhx.module.task.model.TaskProcessEntity;
import com.mortals.xhx.module.task.model.TaskProcessQuery;
import com.mortals.xhx.module.task.model.TaskTodoEntity;
import com.mortals.xhx.module.task.model.TaskTodoQuery;

/**
* <p>Title: 工作代办表</p>
* <p>Description: TaskTodoService service接口 </p>
* <p>Copyright: Copyright &reg;  </p>
* @version 1.0.0
*/

public interface TaskTodoService extends ICRUDService<TaskTodoEntity,Long>{
    Result<FlowTaskPdu> todoList(TaskTodoQuery query, PageInfo pageInfo, Context context);


}