package com.mortals.xhx.module.task.web;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.task.model.TaskFormEntity;
import com.mortals.xhx.module.task.service.TaskFormService;


/**
* <p>Title: 流程任务关联表</p>
* <p>Description: TaskFormController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("task/form")
public class TaskFormController extends BaseCRUDJsonMappingController<TaskFormService,TaskFormForm,TaskFormEntity,Long> {

    public TaskFormController(){
        super.setFormClass(TaskFormForm.class);
        super.setModuleDesc("流程任务关联表");
    }

}