package com.mortals.xhx.module.yth.model;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 业务数据
 *
 * @author: zxfei
 * @date: 2021/9/6 14:05
 * @description:
 **/
@Data
public class BusinessInfo {


    /**
     * 一件事一次办业务ID
     */
    private Long oneThingId;

    /**
     * 一件事一次办主题包名称
     */
    private String oneThingName;

    /**
     * 描述
     */
    private String oneThingDesc;


    /**
     * 事项材料分组信息
     */
    private Map<String, List<MatterDatumInfo>> matterGroup;


}
