package com.mortals.xhx.module.yth.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.busiz.uploadfile.SubmitDatumReq;
import com.mortals.xhx.module.yth.model.BusinessInfo;
import com.mortals.xhx.module.yth.model.YthOnethingEntity;

/**
* <p>Title: 一件事提交基础表</p>
* <p>Description: YthOnethingService service接口 </p>
* <p>Copyright: Copyright &reg;  </p>
* @version 1.0.0
*/

public interface YthOnethingService extends ICRUDService<YthOnethingEntity,Long>{
    /**
     * 用户提交资料并发起审核流程
     * @param req
     */
    void datumUploadAndStartFlow(SubmitDatumReq req) throws AppException;


    BusinessInfo getBusinessDetail(Long proInsId);
}