package com.mortals.xhx.base.system.upload.service;

import com.mortals.framework.service.IService;
import com.mortals.framework.service.IUser;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>Title: 上传文件</p>
 * <p>Description: UploadService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 *
 * @author
 * @version 1.0.0
 */

public interface UploadService extends IService {

    /**
     * 保存文件
     *
     * @param file
     * @param prePath
     * @param user
     * @return 文件路径（非全路径）
     */
    String saveFileUpload(MultipartFile file, String prePath, IUser user);


    /**
     * 获取文件全路径
     *
     * @param filePath
     * @return
     */
    String getFilePath(String filePath);

}