package com.mortals.xhx.busiz.question;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 材料详细
 * @author: zxfei
 * @date: 2021/9/6 14:06
 * @description:
 **/
@Data
public class DatumInfo {
    /**
     * 材料id
     */
    private Long id;
    /**
     * 材料名
     */
    private String materialName;

    /**
     * 事项Id
     */
    private Long matterId;


    /**
     * 材料形式
     */
    private String materialProperty;

    /**
     * 是否必交，0 否 1 是 默认0
     */
    private String isMust;

    /**
     * 材料类型
     */
    private String materialType;

    /**
     * 电子材料格式
     */
    private String electronicgs;

    /**
     * 材料来源渠道
     */
    private String materialSource;

    /**
     * 纸质材料份数
     */
    private Integer paperNum;

    /**
     * 纸质材料规格
     */
    private String paperGg;

    /**
     * 减免模式
     */
    private String jianmMs;

    /**
     * 盖章方式
     */
    private String sealWay;

    /**
     * 是否减免
     */
    private String isjianm;

    /**
     * 材料是否容缺
     */
    private String isLack;


    /**
     * 来源渠道说明
     */
    private String materialSourceSm;

    /**
     * 填报须知
     */
    private String remarkSub;

    /**
     * 受理标准
     */
    private String remark;

    /**
     * 要求提供材料的依据
     */
    private String clauseContent;

    /**
     * 备注
     */
    private String summary;


    /**
     * 材料创建时间
     */
    private Date createTime;


    private List<DatumDownloadInfo> attachList;

}
