package com.mortals.xhx.module.matter.web;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matter.model.MatterDetailEntity;
import com.mortals.xhx.module.matter.service.MatterDetailService;


/**
* <p>Title: 事项详情表</p>
* <p>Description: MatterDetailController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("matter/detail")
public class MatterDetailController extends BaseCRUDJsonMappingController<MatterDetailService,MatterDetailForm,MatterDetailEntity,Long> {

    public MatterDetailController(){
        super.setFormClass(MatterDetailForm.class);
        super.setModuleDesc("事项详情表");
    }

}