package com.mortals.xhx.module.matter.web;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matter.model.MatterIntermediaryEntity;
import com.mortals.xhx.module.matter.service.MatterIntermediaryService;


/**
* <p>Title: 事项中介服务表</p>
* <p>Description: MatterIntermediaryController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("matter/intermediary")
public class MatterIntermediaryController extends BaseCRUDJsonMappingController<MatterIntermediaryService,MatterIntermediaryForm,MatterIntermediaryEntity,Long> {

    public MatterIntermediaryController(){
        super.setFormClass(MatterIntermediaryForm.class);
        super.setModuleDesc("事项中介服务表");
    }

}