package com.mortals.xhx.module.member.web;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.member.model.MemberEntity;
import com.mortals.xhx.module.member.service.MemberService;


/**
* <p>Title: 微信会员基本信息</p>
* <p>Description: MemberController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("member")
public class MemberController extends BaseCRUDJsonMappingController<MemberService,MemberForm,MemberEntity,Long> {

    public MemberController(){
        super.setFormClass(MemberForm.class);
        super.setModuleDesc("微信会员基本信息");
    }

}