package com.mortals.xhx.module.one.service;

import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.busiz.oneProblemlist.OneProblemInfo;
import com.mortals.xhx.busiz.question.AnswerReq;
import com.mortals.xhx.busiz.question.QuestionInfo;
import com.mortals.xhx.module.one.model.OneClassifyTopicalEntity;

import java.util.HashMap;
import java.util.Map;

/**
* <p>Title: 分类引导主题中间表</p>
* <p>Description: OneClassifyTopicalService service接口 </p>
* <p>Copyright: Copyright &reg;  </p>
* @version 1.0.0
*/

public interface OneClassifyTopicalService extends ICRUDService<OneClassifyTopicalEntity,Long>{

    /**
     * 更新主题包排列顺序
     * @param id
     * @param type
     */
    void upOrDownTopicList(Long id, Integer type);

    /**
     * 获取当前问题的所有子集
     * @param id
     */
    OneProblemInfo findAllQuestion(Long id);


    QuestionInfo getMattersByAnswers(AnswerReq req);

}