package com.mortals.xhx.module.one.service;

import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.one.model.OneTopicalEntity;

import java.util.List;
import java.util.Map;

/**
 * <p>Title: 主题表</p>
 * <p>Description: OneTopicalService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 *
 * @version 1.0.0
 */

public interface OneTopicalService extends ICRUDService<OneTopicalEntity, Long> {


    List<Map<String, Object>> getTreeList(Integer type);

    void upOrDownTopicList(Long id, Integer type);
}